<form>

  <div class="form-row my-4 text-center">
    <div class="form-group col-md-3">
      <button class="btn btn-primary custom" role="button" [routerLink] = "['/condiciones-especiales/form']">Nuevo</button>
      <button class="btn btn-primary custom" (click)="frame.show()">Nuevo Modal</button>
    </div>
  </div>

  <div class="card border border-success mb-3">
    <h5 class="card-title">Listado de condiciones</h5>
    <div *ngIf="condiciones?.length == 0" class="alert alert-info">
      No hay registros en la base de datos!
    </div>
    <table class="table table-bordered table-striped">
      <thead class="thead-dark">
        <tr>
          <th>ID</th>
          <th>Descripción</th>
          <th>Estatus</th>
          <th>id Condicion</th>
          <th>texto</th>
          <th>tipo</th>
          <th>titulo</th>
          <th>Editar</th>
          <th>Eliminar</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let condicion of condiciones">
          <td>{{ condicion.id }}</td>
          <td>{{ condicion.descripcion }}</td>
          <td>{{ condicion.estatus }}</td>
          <td>{{ condicion.idGenerado }}</td>
          <td>{{ condicion.texto }}</td>
          <td>{{ condicion.tipo }}</td>
          <td>{{ condicion.titulo }}</td>
          <td class="text-center">
            <a href="#"> <img src="assets/images/pencil-2x.png" alt="Editar registro"> </a>
          </td>
          <td class="text-center">
            <a href="#"> <img src="assets/images/trash-2x.png" alt="Borrar registro"> </a>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="from-row text-center">
    <table class="table table-bordered table-striped mx-sm-3">
      <thead class="badge-primary">
        <tr>
          <th scope="col">Texto</th>
          <th scope="col">Parámetro</th>
          <th scope="col">Regla</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>A</td>
          <td>Variable 1</td>
          <td>Regla 1</td>
        </tr>
      </tbody>
    </table>
  </div>
</form>
